using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            int A = int.Parse(Console.ReadLine());
            int x = 3 * A;
            if (x < N)
            {
                int y = 4 * A;
                if (y > N)
                {
                    int a1, a2, a3;
                    int b1, b2, b3;
                    a1 = A;
                    a2 = A;
                    a3 = A;
                    b1 = (N - (3 * A)) / 3;
                    b2 = (N - (3 * A)) / 3;
                    b3 = N - ((3 * A) + b1 + b2);
                    Console.WriteLine(a1 + " " + b1);
                    Console.WriteLine(a2 + " " + b2);
                    Console.WriteLine(a3 + " " + b3);
                    Console.ReadLine();
                }
                else
                {
                    int z = 5 * A;
                    if (z > N)
                    {
                        int a1, a2, a3, a4;
                        int b1, b2, b3, b4;
                        a1 = A;
                        a2 = A;
                        b3 = A;
                        a4 = A;
                        b1 = (N - (4 * A)) / 4;
                        b2 = (N - (4 * A)) / 4;
                        a3 = (N - (4 * A)) / 4;
                        b4 = N - ((4 * A) + b1 + b2 + a3);
                        Console.WriteLine(a1 + " " + b1);
                        Console.WriteLine(a2 + " " + b2);
                        Console.WriteLine(a3 + " " + b3);
                        Console.WriteLine(a4 + " " + b4);
                        Console.ReadLine();
                    }
                    else
                    {
                        int X = (10 * A) - 10;
                        if (X > N)
                        {
                            int a1, a2, a3, a4, a5;
                            int b1, b2, b3, b4, b5;
                            a1 = A;
                            a2 = A;
                            b3 = A;
                            b4 = A;
                            a5 = A;
                            if ((N % 10) == 0)
                            {
                                b1 = (N - (5 * A)) / 5;
                                b2 = (N - (5 * A)) / 5;
                                a3 = (N - (5 * A)) / 5;
                                a4 = (N - (5 * A)) / 5;
                                b5 = N - ((5 * A) + b1 + b2 + a3 + a4);
                                Console.WriteLine(a1 + " " + b1);
                                Console.WriteLine(a2 + " " + b2);
                                Console.WriteLine(a3 + " " + b3);
                                Console.WriteLine(a4 + " " + b4);
                                Console.WriteLine(a5 + " " + b5);
                                Console.ReadLine();
                            }
                            else
                            {
                                b1 = (N - (5 * A)) / 5;
                                b2 = (N - (5 * A)) / 5;

                                if ((N % 2) == 0)
                                {
                                    a3 = (N - (5 * A)) / 5;
                                    a4 = (N - ((4 * A) + b1 + b2 + a3)) / 2 + 1;
                                    b4 = (N - ((4 * A) + b1 + b2 + a3)) / 2 - 1;
                                    Console.WriteLine(a1 + " " + b1);
                                    Console.WriteLine(a2 + " " + b2);
                                    Console.WriteLine(a3 + " " + b3);
                                    Console.WriteLine(a4 + " " + b4);
                                    Console.ReadLine();
                                }
                                else
                                {
                                    a3 = (N - (5 * A)) / 5 - 1;
                                    a4 = (N - ((4 * A) + b1 + b2 + a3)) / 2 + 1;
                                    b4 = (N - ((4 * A) + b1 + b2 + a3)) / 2 - 1;
                                    Console.WriteLine(a1 + " " + b1);
                                    Console.WriteLine(a2 + " " + b2);
                                    Console.WriteLine(a3 + " " + b3);
                                    Console.WriteLine(a4 + " " + b4);
                                    Console.ReadLine();
                                }
                            }
                        }
                        else
                        {
                            int a1, a2, a3, a4, a5;
                            int b1, b2, b3, b4, b5;
                            a1 = A;
                            a2 = A;
                            b3 = A;
                            b4 = A;
                            b1 = A - 2;
                            b2 = A - 2;
                            a3 = A - 2;
                            if ((N % 2) == 0)
                            {
                                a4 = A - 2;
                                a5 = (N - (8 * A) - 8) / 2 + 1;
                                b5 = (N - (8 * A) - 8) / 2 - 1;
                                Console.WriteLine(a1 + " " + b1);
                                Console.WriteLine(a2 + " " + b2);
                                Console.WriteLine(a3 + " " + b3);
                                Console.WriteLine(a4 + " " + b4);
                                Console.WriteLine(a5 + " " + b5);
                                Console.ReadLine();
                            }
                            else
                            {
                                a4 = A - 3;
                                a5 = (N - (8 * A) - 8) / 2 + 1;
                                b5 = (N - (8 * A) - 8) / 2 - 1;
                                Console.WriteLine(a1 + " " + b1);
                                Console.WriteLine(a2 + " " + b2);
                                Console.WriteLine(a3 + " " + b3);
                                Console.WriteLine(a4 + " " + b4);
                                Console.WriteLine(a5 + " " + b5);
                                Console.ReadLine();
                            }
                        }
                        
                    }
                }
            }
            else
            {
                Console.WriteLine("-1");
                Console.ReadLine();
            }
        }
    }
}